main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
    path('kegiatan/', views.kegiatan, name='kegiatan'),
    path('peserta/', views.peserta, name='peserta'),
]

story6/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('story7/', include('story7.urls')),
]

story7/urls.py
from django.urls import path
from . import views

app_name = 'story7'

urlpatterns = [
    path('', views.accordion, name="accordion"),
]

main/models.py
from django.db import models

class Kegiatan(models.Model):
    nama_kegiatan = models.CharField(max_length=200)
    
    def __str__(self):
        return self.nama_kegiatan


class Peserta(models.Model):
    nama_peserta = models.CharField(max_length=100)
    kegiatan = models.ForeignKey('Kegiatan', on_delete=models.CASCADE)
    
    def __str__(self):
        return self.nama_peserta

story7/models.py
from django.db import models

# Create your models here.

main/forms.py
from django.db.models import fields
from django.forms import ModelForm
from .models import Peserta, Kegiatan


class FormPeserta(ModelForm):
    class Meta:
        model = Peserta
        fields = [
            'nama_peserta', 
            'kegiatan'
            ]

class FormKegiatan(ModelForm):
    class Meta:
        model = Kegiatan
        fields = [
            'nama_kegiatan',
            ]

main/views.py
from django.http import request
from django.shortcuts import redirect, render
from .forms import FormPeserta, FormKegiatan
from .models import Peserta, Kegiatan


def home(request):
    anggota = Peserta.objects.all()
    event = Kegiatan.objects.all()
    context = {'peserta': anggota, 'kegiatan': event}
    return render(request, 'main/home.html', context)


def kegiatan(request):
    form = FormPeserta(request.POST or None)
    if (form.is_valid() and request.method == 'POST'):
        form.save()
        return redirect('main:home')
    context = {'form':form}
    return render(request, "main/kegiatan.html", context)

def peserta(request):
    form = FormKegiatan(request.POST or None)
    if (form.is_valid() and request.method == 'POST'):
        form.save()
        return redirect('main:home')
    context = {'form':form}
    return render(request, "main/peserta.html", context)

story7/views.py
from django.http import request
from django.shortcuts import render

def accordion(request):
     return render(request, 'story7/accordion.html')

main/templates/main/home.html
{% extends 'base.html' %}
  {% load static %}

  {% block meta %}
    <title>Home</title>
  {% endblock meta %}

  {% block content %}
    <!--homepage-->
    <div class="parent-div d-flex align-items-center justify-content-center">
      <div class="child-div" style="padding: 100px;">
        <p style="text-align:center;font-size:2vw;">Hello I am...</p>
        <h2 style="text-align:center;font-size:7vw;color:black">Dwi Ayu Sekarini Pandjaitan</h2>
      </div>
    </div>
    
    {% if kegiatan %}
      <div class="grid d-flex align-items-center justify-content-center">
        {% for i in kegiatan %}
        
        <div class="card child">
          <div class="align-center">
            <h5 class="card-title">{{ i.nama_kegiatan }}</h5>
            <p class="card-text">Peserta</p>#
            
            {% for j in peserta %}
              
              {% if j.kegiatan.nama_kegiatan == i.nama_kegiatan %}
                
                <p class="card-text">{{ j.nama_peserta }}</p>
              
              {% endif %}
            
            {% endfor %}
          </div>
        </div>

        {% endfor %}
      </div>

      {% else %}

      <h3>Tambah Kegiatan</h3>
      
      {% endif %}

{% endblock content %}

main/templates/main/kegiatan.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Peserta</title>
{% endblock meta %}

{% block content  %}

    <div class="parent-div d-flex align-items-center center-content-center">
        <div class="child-div" style="padding: 100px;">
            <h1 style="text-align:center;font-size:7vw;color:black"> Masukkan Peserta </h1>

            <form method="POST">
                
                <!--Security token-->
                {% csrf_token %}
                
                <!--Formset-->
                {{ form.as_p }}
                
                <input class="btn" type="submit" value="Submit" />
            </form>
        </div>
    </div>

{% endblock content %}

main/templates/main/peserta.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Kegiatan</title>
{% endblock meta %}

{% block content  %}

    <div class="parent-div d-flex align-items-center center-content-center">
        <div class="child-div" style="padding: 100px;">
            <h1 style="text-align:center;font-size:7vw;color:black"> Masukkan Kegiatan </h1>

            <form method="POST">
                
                <!--Security token-->
                {% csrf_token %}
                
                <!--Formset-->
                {{ form.as_p }}
                
                <input class="btn" type="submit" value="Submit" />
            </form>
        </div>
    </div>

{% endblock content %}

story7/templates/story7/accordion.html
{% extends 'base.html' %}
  {% load static %}

<head>
  {% block meta %}
    <title>Story 7</title>
  {% endblock meta %}
</head>


  {% block content %}

  <div class="parent-div d-flex align-items-center justify-content-center">
    <div class="child-div" style="padding: 100px;">
      
      <h1 style="text-align: center;">Frequently Asked Questions</h1><br>
      
      <div class="panel">
        <a class="accordion" href="javascript:void(0);">Aktivitas Saat Ini</a>
        <a class="up" href="javascript:void(0);">up</a>
        <a class="down" href="javascript:void(0);">down</a>
      </div>
      <div class = content>
        <p>Mahasiswa Sistem Informasi Universitas Indonesia</p>
      </div>
      
      <div class="panel">
        <a class="accordion" href="javascript:void(0);">Pengalaman Organisasi</a>
        <a class="up" href="javascript:void(0);">up</a>
        <a class="down" href="javascript:void(0);">down</a>
      </div>
      <div class = content>
        <p>UKM Dancesport UI</p>
      </div>

      <div class="panel">
        <a class="accordion" href="javascript:void(0);">Pengalaman Kepanitiaan</a>
        <a class="up" href="javascript:void(0);">up</a>
        <a class="down" href="javascript:void(0);">down</a>
      </div>
      <div class = content>
        <p>
          BETIS Fasilkom 2019<br>
          Wisuda Genap 2020
        </p>
      </div>

      <div class="panel">
        <a class="accordion" href="javascript:void(0);">Prestasi</a>
        <a class="up" href="javascript:void(0);">up</a>
        <a class="down" href="javascript:void(0);">down</a>
      </div>
      <div class = content>
        <p>-</p>
      </div>
      
    </div>
  </div>

  {% endblock content %}

templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <script src="https://code.jquery.com/jquery-3.5.1.js"
  integrity="sha256-QWo7LDvxbWT2tbbQ97B53yJnYU3WhH/C8ycbRAkjPDc="
  crossorigin="anonymous"></script>
  <script src="{% static 'css/script.js' %}" defer></script>
  <link rel="stylesheet" href="{% static 'css/style.css' %}">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
  {% block meta %}
  {% endblock meta %}
</head>

<body>
  <div class = "header">
    <!--home-->
    <div style="float: left;">
      <a href="{% url 'main:home' %}" >DASP</a>
    </div>

    <!--add peserta-->
    <div style="float: left;">
      <a href="{% url 'main:kegiatan' %}" >Tambahkan Peserta</a>
    </div>

    <!--add kegiatan-->
    <div style="float: left;">
      <a href="{% url 'main:peserta' %}" >Tambahkan Kegiatan</a>
    </div>

    <!--page FAQ-->
    <div style="float: left;">
      <a href="{% url 'story7:accordion' %}" >Story 7</a>
    </div>
  </div>

  <div class = "footer">
    <!--linkedin-->
    <div style = "float: right;">
      <a href= https://www.linkedin.com/in/dwi-ayu-sekarini-pandjaitan-4a85231b9/>
        <img src="{% static 'img/download.png' %}" class="ikon">
      </a>
    </div>

    <!--instagram-->
    <div style = "float: right;">
      <a href= https://www.instagram.com/dwi_as_rini/?hl=en>
        <img src="{% static 'img/instaa.png' %}" class="ikon">
      </a>
    </div>
  </div>
  
  {% block content %}
  
  {% endblock content %}
</body>

</html>

templates/story7/accordion.html
{% extends 'base.html' %}
  {% load static %}

<head>
  {% block meta %}
    <title>Story 7</title>
  {% endblock meta %}
</head>


  {% block content %}

  <div class="parent-div d-flex align-items-center justify-content-center">
    <div class="child-div" style="padding: 100px;">
      
      <h1 style="text-align: center;">Frequently Asked Questions</h1><br>
      
      <div class="panel">
        <a class="accordion" href="javascript:void(0);">Aktivitas Saat Ini</a>
        <a class="up" href="javascript:void(0);">up</a>
        <a class="down" href="javascript:void(0);">down</a>
      </div>
      <div class = content>
        <p>Mahasiswa Sistem Informasi Universitas Indonesia</p>
      </div>
      
      <div class="panel">
        <a class="accordion" href="javascript:void(0);">Pengalaman Organisasi</a>
        <a class="up" href="javascript:void(0);">up</a>
        <a class="down" href="javascript:void(0);">down</a>
      </div>
      <div class = content>
        <p>UKM Dancesport UI</p>
      </div>

      <div class="panel">
        <a class="accordion" href="javascript:void(0);">Pengalaman Kepanitiaan</a>
        <a class="up" href="javascript:void(0);">up</a>
        <a class="down" href="javascript:void(0);">down</a>
      </div>
      <div class = content>
        <p>
          BETIS Fasilkom 2019<br>
          Wisuda Genap 2020
        </p>
      </div>

      <div class="panel">
        <a class="accordion" href="javascript:void(0);">Prestasi</a>
        <a class="up" href="javascript:void(0);">up</a>
        <a class="down" href="javascript:void(0);">down</a>
      </div>
      <div class = content>
        <p>-</p>
      </div>
      
    </div>
  </div>

  {% endblock content %}